using System.Collections;
using System.Collections.Generic;
using Godot;

namespace Rokojori
{
  [Tool]
  [GlobalClass]
	public partial class FrameSmoothingTableGenerator:Node
	{
    [Export]
    public string path;
    
    [Export]
    public bool compute
    {
      get { return false; }
      set
      {  
        if ( ! value )
        {
          return;
        } 

        FrameSmoothingTable.ComputeAndSaveTable( path );
      }
    }    
  
  } 
}